package com.ruoyi.asset.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 故障报备对象 tb_fault_report
 * 
 * @author 原动力
 * @date 2023-03-27
 */
@TableName("tb_fault_report")
public class TbFaultReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 报备编号 */
    @Excel(name = "报备编号")
    @TableId("id")
    private Long id;

    /** 设备条形码 */
    @Excel(name = "设备条形码")
    @TableField("asset_bar_code")
    private String assetBarCode;

    /** 报备人 */
    @Excel(name = "报备人")
    @TableField("user_id")
    private Long userId;

    /** 报备时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("report_date")
    @Excel(name = "报备时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reportDate;

    /** 故障现象 */
    @Excel(name = "故障现象")
    @TableField("fault_phenomenon")
    private String faultPhenomenon;

    /** 报备人电话 */
    @Excel(name = "报备人电话")
    @TableField("tel")
    private String tel;

    /** 处理状态 */
    @Excel(name = "处理状态")
    @TableField("process_state")
    private Long processState;

    /** 处理结果 */
    @Excel(name = "处理结果")
    @TableField("process_result")
    private String processResult;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAssetBarCode(String assetBarCode) 
    {
        this.assetBarCode = assetBarCode;
    }

    public String getAssetBarCode() 
    {
        return assetBarCode;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setReportDate(Date reportDate) 
    {
        this.reportDate = reportDate;
    }

    public Date getReportDate() 
    {
        return reportDate;
    }
    public void setFaultPhenomenon(String faultPhenomenon) 
    {
        this.faultPhenomenon = faultPhenomenon;
    }

    public String getFaultPhenomenon() 
    {
        return faultPhenomenon;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setProcessState(Long processState) 
    {
        this.processState = processState;
    }

    public Long getProcessState() 
    {
        return processState;
    }
    public void setProcessResult(String processResult) 
    {
        this.processResult = processResult;
    }

    public String getProcessResult() 
    {
        return processResult;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("assetBarCode", getAssetBarCode())
            .append("userId", getUserId())
            .append("reportDate", getReportDate())
            .append("faultPhenomenon", getFaultPhenomenon())
            .append("tel", getTel())
            .append("processState", getProcessState())
            .append("processResult", getProcessResult())
            .toString();
    }
}
